<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calculated Metrics</title>
    <!-- Add Plotly CDN -->
    <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            margin: 40px;
            background-color: #f4f4f4f8; /* Set your desired background color */
        }

        h1 {
            color: #333;
        }
        .plot-container {
            display: flex;
            justify-content: space-between;
        }
        .plot {
            flex: 1;
            margin-right: 10px; /* Adjust the margin as needed */
        }
        .refresh-btn {
            margin-top: 20px;
            padding: 10px 20px;
            background-color: #007bff; /* Set your desired button color */
            color: #fff;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }
        .refresh-btn:hover {
            background-color: #0056b3; /* Change color on hover if desired */
        }
    </style>
</head>
<body>
    <h1>User Ratings and Feedback</h1>
    <div class="plot-container">
        <div class="plot">{{ plot_div1|safe }}</div>
    </div>

    <div class="plot-container">
        <div class="plot">{{ plot_div2|safe }}</div>
    </div>
    
    <h2>Calculated Metrics</h2>
    {% if calculated_metrics %}
    <table border="1">
    <tr>
        <th>Metric</th>
        <th>Value</th>
    </tr>
    <tr>
        <td>Overall Average Star Rating</td>
        <td>{{ calculated_metrics.more_is_better.overall_avg_star_rating }}</td>
    </tr>
    <tr>
        <td>Overall Average Feedback Sentiment Score</td>
        <td>{{ calculated_metrics.more_is_better.overall_avg_feedback_sentiment_score }}</td>
    </tr>
    {% if calculated_metrics.more_is_better.overall_avg_metrics_rating | length > 0 %}
    <tr>
        <td>Overall Average Metrics Score</td>
        <td>{{ calculated_metrics.more_is_better.overall_avg_metrics_rating }}</td>
    </tr>
    {% endif %}
    </table>
    <p>Note: Higher values represent a better performance of the LLM pipeline. <br>
        A score of 1.0 represents the highest feedback score, while a rating of 5 denotes the highest star rating.</p>
    {% else %}
    <p>No calculated metrics available.</p>
    {% endif %}

    <!-- Add Refresh Button -->
    <button class="refresh-btn" onclick="location.reload()">Refresh</button>
</body>
</html>
